package com.sun.org.apache.bcel.internal.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantMethodref extends ConstantCP
{
    public ConstantMethodref(ConstantMethodref c) {
        super((byte)10, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantMethodref(DataInput input) throws IOException {
        super((byte)10, input);
    }
    
    public ConstantMethodref(int class_index, int name_and_type_index) {
        super((byte)10, class_index, name_and_type_index);
    }
    
    @Override
    public void accept(Visitor v) {
        v.visitConstantMethodref(this);
    }
}
